## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# needed for the way some dependencies work
%global gomodulesmode GO111MODULE=on

# https://github.com/ipinfo/cli
%global goipath         github.com/ipinfo/cli
Version:                3.1.2
%global tag             ipinfo-%{version}

# REMOVE BEFORE SUBMITTING THIS FOR REVIEW
# ---
# New Fedora packages should use %%gometa -f, which makes the package
# ExclusiveArch to %%golang_arches_future and thus excludes the package from
# %%ix86. If the new package is needed as a dependency for another package,
# please consider removing that package from %%ix86 in the same way, instead of
# building more go packages for i686. If your package is not a leaf package,
# you'll need to coordinate the removal of the package's dependents first.
# ---
# REMOVE BEFORE SUBMITTING THIS FOR REVIEW
%if 0%{?rhel}
%gometa
%else
%gometa -f
%endif

%global common_description %{expand:
Official Command Line Interface for the IPinfo API (IP geolocation and other
types of IP data).}

%global golicenses      LICENSE lib/complete/LICENSE
%global godocs          README.md randip/CHANGELOG.md cidr2ip/CHANGELOG.md\\\
                        debian/changelog grepip/CHANGELOG.md\\\
                        lib/complete/README.md scripts/changelog.sh\\\
                        cidr2range/CHANGELOG.md range2cidr/CHANGELOG.md\\\
                        gif/README.md gif/ips.txt gif/1k-ips.txt\\\
                        ipinfo/CHANGELOG.md range2ip/CHANGELOG.md\\\
                        prips/CHANGELOG.md splitcidr/CHANGELOG.md

Name:           %{goname}
Release:        %autorelease
Summary:        Official Command Line Interface for the IPinfo API (IP geolocation and other types of IP data)

License:        Apache-2.0 AND MIT
URL:            %{gourl}
Source0:        %{gosource}

Provides:       bundled(golang(github.com/davecgh/go-spew)) = v1.1.1
Provides:       bundled(golang(github.com/dvyukov/go-fuzz)) = 6a8e9d1f2415
Provides:       bundled(golang(github.com/fatih/color)) = v1.13.0
Provides:       bundled(golang(github.com/hashicorp/errwrap)) = v1.1.0
Provides:       bundled(golang(github.com/hashicorp/go-multierror)) = v1.1.1
Provides:       bundled(golang(github.com/ipinfo/go/v2)) = v2.9.4
Provides:       bundled(golang(github.com/ipinfo/mmdbctl)) = 558a20ba8524
Provides:       bundled(golang(github.com/jszwec/csvutil)) = v1.4.0
Provides:       bundled(golang(github.com/mattn/go-colorable)) = v0.1.9
Provides:       bundled(golang(github.com/mattn/go-isatty)) = v0.0.14
Provides:       bundled(golang(github.com/maxmind/mmdbwriter)) = 766ad8188582
Provides:       bundled(golang(github.com/oschwald/maxminddb-golang)) = v1.10.0
Provides:       bundled(golang(github.com/patrickmn/go-cache)) = v2.1.0+incompatible
Provides:       bundled(golang(github.com/pkg/browser)) = ce105d075bb4
Provides:       bundled(golang(github.com/pkg/errors)) = v0.8.1
Provides:       bundled(golang(github.com/pmezard/go-difflib)) = v1.0.0
Provides:       bundled(golang(github.com/posener/script)) = v1.1.5
Provides:       bundled(golang(github.com/spf13/pflag)) = v1.0.5
Provides:       bundled(golang(github.com/stretchr/objx)) = v0.4.0
Provides:       bundled(golang(github.com/stretchr/testify)) = v1.8.0
Provides:       bundled(golang(github.com/yuin/goldmark)) = v1.2.1
Provides:       bundled(golang(go.etcd.io/bbolt)) = v1.3.6
Provides:       bundled(golang(go4.org/intern)) = 6925f38cc365
Provides:       bundled(golang(go4.org/unsafe/assume-no-moving-gc)) = e7c30c78aeb2
Provides:       bundled(golang(golang.org/x/crypto)) = 75b288015ac9
Provides:       bundled(golang(golang.org/x/mod)) = v0.3.0
Provides:       bundled(golang(golang.org/x/net)) = f5854403a974
Provides:       bundled(golang(golang.org/x/sync)) = 0976fa681c29
Provides:       bundled(golang(golang.org/x/sys)) = fbc7d0a398ab
Provides:       bundled(golang(golang.org/x/term)) = 2321bbc49cbf
Provides:       bundled(golang(golang.org/x/text)) = v0.3.3
Provides:       bundled(golang(golang.org/x/tools)) = v0.1.0
Provides:       bundled(golang(golang.org/x/xerrors)) = 5ec99f83aff1
Provides:       bundled(golang(gopkg.in/check.v1)) = 20d25e280405
Provides:       bundled(golang(gopkg.in/yaml.v2)) = v2.2.2
Provides:       bundled(golang(gopkg.in/yaml.v3)) = v3.0.1
Provides:       bundled(golang(inet.af/netaddr)) = 502d2d690317

%description %{common_description}

%prep
%goprep -k
%autopatch -p1

%build
for cmd in range2ip range2cidr cidr2ip grepip ipinfo randip splitcidr prips cidr2range; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE lib/complete/LICENSE
%doc README.md randip/CHANGELOG.md cidr2ip/CHANGELOG.md debian/changelog
%doc grepip/CHANGELOG.md lib/complete/README.md scripts/changelog.sh
%doc cidr2range/CHANGELOG.md range2cidr/CHANGELOG.md gif/README.md gif/ips.txt
%doc gif/1k-ips.txt ipinfo/CHANGELOG.md range2ip/CHANGELOG.md prips/CHANGELOG.md
%doc splitcidr/CHANGELOG.md
%{_bindir}/*


%changelog
* Sat Oct 07 2023 John Doe <packager@example.com> - 3.1.2-1
- Uncommitted changes
